body
	font-familly: $font
	font-size: $font-size
	line-height: 1.5em
	+background-image(linear-gradient(top, transparent 2px, $gray 2px, $gray 3px, transparent 3px, transparent), linear-gradient(left, transparent 2px, $gray 2px, $gray 3px, transparent 3px, transparent))
	+background-size(5px 5px)
	color: $text-color

	*
		font-family: $font

img, iframe
	vertical-align: bottom
	max-width: 100%
	width: auto \9
	height: auto

figure
	> a
		position: relative
		display: inline-block

		&:after
			content: ''
			width: 100%
			height: 100%
			position: absolute
			top: 0
			left: 0
			+background-image(linear-gradient(45deg, transparent 1px, rgba(255, 255, 255, 0.1) 1px, rgba(255, 255, 255, 0.1) 2px, transparent 2px, transparent), linear-gradient(45deg, transparent 1px, rgba(0,0,0, 0.4) 1px, rgba(0,0,0, 0.4) 2px, transparent 2px, transparent))
			+background-size( 2px 2px)

/* === Header === */

.main-header
	background-color: $white
	+box-shadow(0 1px 5px rgba(0,0,0,0.2), inset 0px 20px 0 $white, inset 0 21px 0 $gray, inset 0px -20px 0 $white, inset 0 -21px 0 $gray)
	padding: 21px 0

.logo-shape
	min-height: 105px
	line-height: 105px

	> a img
		vertical-align: middle

.text-center
	text-align: center

/* === Menu === */

.main-menu
	padding: 21px 0
	
	> ul
		margin: 21px 0
		+pie-clearfix()

		.current-menu-item
			> a
				color: $red

		> li
			float: left
			margin: 0 21px
			position: relative

			&:after
				content: '+'
				position: absolute
				font-size: 12px
				color: lighten($text-color, 40%)
				top: -1px
				right: -23px


			&:first-child
				margin-left: 0

			&:last-child
				margin-right: 0

				&:after
					content: ''

			a
				text-transform: uppercase
				font-weight: 300
				+transition(color 0.4s ease-out)

				&:hover
					color: $red

			> a
				padding-bottom: 21px

				&:hover

					+ ul
						max-height: 500px !important
						z-index: 10001

			> ul
				position: absolute
				top: 35px
				left: 50%
				margin-left: -100px
				background-color: $white
				width: 200px
				+box-shadow(0 -1px 0 $gray, inset 0 1px 0 $gray, 0 2px 2px rgba(0,0,0, 0.1))
				+transition(all 0.4s ease-out)
				max-height: 0 !important
				overflow: hidden
				z-index: 10000

				&:hover
					max-height: 500px !important

				> li
					+box-shadow(0 1px 0 $gray)
					padding: 7px
					text-align: center

					> a
						text-transform: none
						display: block

/* === Search form === */

.search-form
	+pie-clearfix()

	> form
		float: right
		margin: 21px 0

		> p
			background-color: $gray
			margin: 15px 0
			+pie-clearfix()

			input[type=text]
				margin: 0
				float: left

				&:focus
					+box-shadow(inset 0 0 0 1px rgba(0,0,0,0.05))

			button[type=submit]
				width: 33px
				height: 33px
				margin: 0
				float: left
				font-size: 2em
				padding: 0
				text-align: center
				font-family: "Times New Roman", Times, serif
				line-height: normal
				padding-bottom: 10px

/* === Main content === */

.main-content
	margin-top: 42px
	margin-bottom: 42px

/* === Footer === */

.main-footer
	background: $gray
	padding: 42px 0 21px
	color: darken($gray, 40%)

.subscribe-form
	margin-top: 1.5px

	.subscribe-info
		color: $red

	p
		+pie-clearfix()
		position: relative

		input[type=text]
			background-color: $white
			width: 200px
			float: left
			margin-right: 14px
			+box-shadow(0 0 0 2px $darkgray)

			&:focus
				+box-shadow(0 0 0 2px darken($darkgray, 10%))

		button[type=submit]
			float: left

		.parsley-error-list
			position: absolute
			top: 35px
			font-size: 0.75em

.social-footer
	+pie-clearfix()

	> ul
		float: right

		+ p 
			float: right

			a:hover
				text-decoration: underline

		> li
			float: left
			margin-right: 7px

			> a
				display: block
				width: 21px
				height: 21px
				background-color: darken($gray, 20%)
				background-image: url(../img/social-icons.png)
				+squish-text()

				&:hover
					background-color: $green
					+transition(background-color 0.4s ease-out)

			> a[title=Facebook]
				background-position: 0 0

			> a[title=Twitter]
				background-position: -21px 0

			> a[title=Pinterest]
				background-position: -42px 0

.scroll-up
	width: 42px
	height: 42px
	background: $black
	+opacity(0.8)
	cursor: pointer
	+transition(opacity 0.4s ease-out)
	position: fixed
	right: 10%

	&:hover
		+opacity(0.9)

	> span
		color: $white
		display: block
		text-align: center
		text-transform: uppercase
		font-family: $font

		&:first-child
			font-size: 2em
			position: relative
			top: 7px